ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
package_manager_controller_1_0_0 Class Reference

## Public Member Functions
| install_package ($Options)
| delete_package ($Options)
| controller ($Options)

## Detailed Description

This manager helps to manage packages.

Author
  Dodonov A.A.

Definition at line 26 of file package_manager_controller.php.

## Member Function Documentation

controller | ( |  | $Options | ) |

Controller of the component.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 118 of file package_manager_controller.php.

{
try
{
$Context = get_package( 'gui::context' , 'last' , __FILE__ );
$Context->load_config( dirname( __FILE__ ).'/conf/cfcx_delete_package' );
if( $Context->execute( $Options , $this ) )return;
$Context->load_config( dirname( __FILE__ ).'/conf/cfcx_install_package' );
if( $Context->execute( $Options , $this ) )return;
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

delete_package | ( |  | $Options | ) |

Function deletes package.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 81 of file package_manager_controller.php.

{
try
{
$Security = get_package( 'security' , 'last' , __FILE__ );
$PackageName = $Security->get_gp( 'package_name' , 'string' );
$PackageVersion = $Security->get_gp( 'package_version' , 'string' );
$ROOT_DIR = _get_root_dir( $PackageName , $PackageVersion , INSTALL_DIR );
$PackageDirectory = _get_package_path( $PackageName , $PackageVersion , $ROOT_DIR );
_delete_package( $PackageName , $PackageVersion );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

install_package | ( |  | $Options | ) |

Function installs package.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 46 of file package_manager_controller.php.

{
try
{
$Security = get_package( 'security' , 'last' , __FILE__ );
$PackageAlgoritms = get_package( 'core::package_algorithms' , 'last' , __FILE__ );
$MasterPackage = explode( '#' , $Security->get_gp( 'package_selection' , 'string' ) );
$PackageAlgoritms->install_package(
$UploadFileAccess->UploadedFilePath , $MasterPackage[ 0 ] , $MasterPackage[ 1 ]
);
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

The documentation for this class was generated from the following file:

- packages/core/packages/package_manager/packages/package_manager_controller/package_manager_controller.php